Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364232 - Review Request: nodejs-meow - CLI app helper
Summary: Review Request: nodejs-meow - CLI app helper
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1364224 1364227 1364228 1364230
Blocks: nodejs-reviews Node-RED 1448859 1448876
TreeView+ depends on / blocked
 
Reported: 2016-08-04 18:35 UTC by Jared Smith
Modified: 2017-05-24 23:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-24 23:15:13 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Jared Smith 2016-08-04 18:35:01 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-meow/nodejs-meow.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-meow/nodejs-meow-3.7.0-1.fc26.src.rpm
Description: CLI app helper
Fedora Account System Username: jsmith

Comment 1 Parag AN(पराग) 2017-05-09 15:53:00 UTC
Jeroen,
  I am sorry to takeover on this package review and I hope you don't mind. I need this reviewed for nodejs-get-pkg-repo package review.

Comment 2 Parag AN(पराग) 2017-05-09 15:56:51 UTC
Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

==> This is due to following
  - nothing provides npm(read-pkg-up) < 2 needed by nodejs-meow-3.7.0-1.fc27.noarch


[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)


Installation errors
-------------------
INFO: mock.py version 1.3.4 starting (python version = 3.6.1)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled HW Info plugin
Mock Version: 1.3.4
INFO: Mock Version: 1.3.4
Finish: chroot init
INFO: installing package(s): /home/parag/1364232-nodejs-meow/results/nodejs-meow-3.7.0-1.fc27.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 27 --disableplugin=local --setopt=deltarpm=false install /home/parag/1364232-nodejs-meow/results/nodejs-meow-3.7.0-1.fc27.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: nodejs-meow-3.7.0-1.fc27.noarch.rpm
          nodejs-meow-3.7.0-1.fc27.src.rpm
nodejs-meow.noarch: W: only-non-binary-in-usr-lib
nodejs-meow.noarch: W: dangling-symlink /usr/lib/node_modules/meow/node_modules/camelcase-keys /usr/lib/node_modules/camelcase-keys
nodejs-meow.noarch: W: dangling-symlink /usr/lib/node_modules/meow/node_modules/decamelize /usr/lib/node_modules/decamelize
nodejs-meow.noarch: W: dangling-symlink /usr/lib/node_modules/meow/node_modules/loud-rejection /usr/lib/node_modules/loud-rejection
nodejs-meow.noarch: W: dangling-symlink /usr/lib/node_modules/meow/node_modules/map-obj /usr/lib/node_modules/map-obj
nodejs-meow.noarch: W: dangling-symlink /usr/lib/node_modules/meow/node_modules/minimist /usr/lib/node_modules/minimist
nodejs-meow.noarch: W: dangling-symlink /usr/lib/node_modules/meow/node_modules/normalize-package-data /usr/lib/node_modules/normalize-package-data
nodejs-meow.noarch: W: dangling-symlink /usr/lib/node_modules/meow/node_modules/object-assign /usr/lib/node_modules/object-assign
nodejs-meow.noarch: W: dangling-symlink /usr/lib/node_modules/meow/node_modules/read-pkg-up /usr/lib/node_modules/read-pkg-up
nodejs-meow.noarch: W: dangling-symlink /usr/lib/node_modules/meow/node_modules/redent /usr/lib/node_modules/redent
nodejs-meow.noarch: W: dangling-symlink /usr/lib/node_modules/meow/node_modules/trim-newlines /usr/lib/node_modules/trim-newlines
2 packages and 0 specfiles checked; 0 errors, 11 warnings.




Diff spec file in url and in SRPM
---------------------------------
--- /home/parag/1364232-nodejs-meow/srpm/nodejs-meow.spec	2017-05-09 21:10:07.894688745 +0530
+++ /home/parag/1364232-nodejs-meow/srpm-unpacked/nodejs-meow.spec	2016-07-23 01:07:22.000000000 +0530
@@ -7,5 +7,5 @@
 Name:		nodejs-meow
 Version:	3.7.0
-Release:	2%{?dist}
+Release:	1%{?dist}
 Summary:	CLI app helper
 
@@ -44,5 +44,4 @@
 %nodejs_fixdep camelcase-keys
 %nodejs_fixdep redent
-%nodejs_fixdep read-pkg-up
 
 %build
@@ -74,7 +73,4 @@
 
 %changelog
-* Thu Apr 20 2017 Jared Smith <jsmith@fedoraproject.org> -   - nothing provides npm(read-pkg-up) < 2 needed by nodejs-meow-3.7.0-1.fc27.noarch
3.7.0-2
-- Allow newer version of npm(read-pkg-up)
-
 * Fri Jul 15 2016 Jared Smith <jsmith@fedoraproject.org> - 3.7.0-1
 - Update to upstream 3.7.0 release

Comment 3 Jared Smith 2017-05-09 20:56:26 UTC
Sorry, I had updated but forgot to update this bug.  Let's try this version:

Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-meow/nodejs-meow.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-meow/nodejs-meow-3.7.0-2.fc27.src.rpm

Comment 4 Parag AN(पराग) 2017-05-10 01:13:42 UTC
Looks good now.

APPROVED.

Comment 5 Gwyn Ciesla 2017-05-16 12:37:10 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/nodejs-meow


Note You need to log in before you can comment on or make changes to this bug.